XFuXMInstrument class Reference

Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# XFuXMInstrument Class Reference

`#include <XFuXMPlayer_internal.h>`

Collaboration diagram for XFuXMInstrument:

[legend]
List of all members.

## Public Attributes

UINT16 | mNbSamples
| Number of samples in instrument.
XFuXMSample * | mSamples
| MAX_SAMPLES.
UINT8 | mKeyboard [XMFORMAT_SIZEOF_KEYBOARD]
| Sample number for all notes.
REAL | mVolumeEnvelope [XMFORMAT_SIZEOF_ENVELOPE]
UINT16 | mVolEnvEnd
| Volume envelope end point.
UINT8 | mVolEnvType
| Volume envelope flag.
UINT16 | mVolEnvLoopStart
| Volume envelope loop start.
UINT16 | mVolEnvLoopEnd
| Volume envelope loop end.
UINT16 | mVolEnvSustain
| Volume envelope sustain point.
REAL | mVolumeFadeout
| Volume fadeout speed.
UINT8 | mPanningEnvelope [XMFORMAT_SIZEOF_ENVELOPE]
UINT16 | mPanEnvEnd
| Panning envelope end point.
UINT8 | mPanEnvType
| Panning envelope flag.
UINT16 | mPanEnvLoopStart
| Panning envelope loop start.
UINT16 | mPanEnvLoopEnd
| Panning envelope loop end.
UINT16 | mPanEnvSustain
| Panning envelope sustain point.
UINT8 | mIsVibrato
| Vibrato flag.
UINT8 | mVibratoType
| Vibrato type.
UINT8 | mVibratoSweep
| Vibrato sweep.
UINT8 | mVibratoDepth
| Vibrato depth.
UINT8 | mVibratoRate
| Vibrate rate.

## Member Data Documentation

UINT8 XFuXMInstrument::mIsVibrato

| Vibrato flag. Definition at line 250 of file XFuXMPlayer_internal.h. Referenced by XFuXMPlayer::dumpSongParameters(), and XFuXMPlayer::loadXM().

UINT8 XFuXMInstrument::mKeyboard[XMFORMAT_SIZEOF_KEYBOARD]

| Sample number for all notes. Definition at line 232 of file XFuXMPlayer_internal.h. Referenced by XFuXMPlayer::initChannel(), and XFuXMPlayer::loadXM().

UINT16 XFuXMInstrument::mNbSamples

| Number of samples in instrument. Definition at line 229 of file XFuXMPlayer_internal.h. Referenced by XFuXMPlayer::initChannel(), XFuXMPlayer::loadXM(), and XFuXMPlayer::~XFuXMPlayer().

UINT16 XFuXMInstrument::mPanEnvEnd

| Panning envelope end point. Definition at line 244 of file XFuXMPlayer_internal.h. Referenced by XFuXMPlayer::dumpSongParameters(), XFuXMPlayer::loadXM(), and XFuXMPlayer::stream().

UINT16 XFuXMInstrument::mPanEnvLoopEnd

| Panning envelope loop end. Definition at line 247 of file XFuXMPlayer_internal.h. Referenced by XFuXMPlayer::dumpSongParameters(), XFuXMPlayer::initSound(), and XFuXMPlayer::loadXM().

UINT16 XFuXMInstrument::mPanEnvLoopStart

| Panning envelope loop start. Definition at line 246 of file XFuXMPlayer_internal.h. Referenced by XFuXMPlayer::dumpSongParameters(), XFuXMPlayer::initSound(), and XFuXMPlayer::loadXM().

UINT16 XFuXMInstrument::mPanEnvSustain

| Panning envelope sustain point. Definition at line 248 of file XFuXMPlayer_internal.h. Referenced by XFuXMPlayer::initSound(), and XFuXMPlayer::loadXM().

UINT8 XFuXMInstrument::mPanEnvType

| Panning envelope flag. Definition at line 245 of file XFuXMPlayer_internal.h. Referenced by XFuXMPlayer::dumpSongParameters(), XFuXMPlayer::initSound(), and XFuXMPlayer::loadXM().

UINT8 XFuXMInstrument::mPanningEnvelope[XMFORMAT_SIZEOF_ENVELOPE]

| Definition at line 243 of file XFuXMPlayer_internal.h. Referenced by XFuXMPlayer::dumpSongParameters(), XFuXMPlayer::loadXM(), and XFuXMPlayer::stream().

XFuXMSample* XFuXMInstrument::mSamples

| MAX_SAMPLES. Definition at line 230 of file XFuXMPlayer_internal.h. Referenced by XFuXMPlayer::initChannel(), XFuXMPlayer::loadXM(), and XFuXMPlayer::~XFuXMPlayer().

UINT8 XFuXMInstrument::mVibratoDepth

| Vibrato depth. Definition at line 253 of file XFuXMPlayer_internal.h. Referenced by XFuXMPlayer::dumpSongParameters(), and XFuXMPlayer::loadXM().

UINT8 XFuXMInstrument::mVibratoRate

| Vibrate rate. Definition at line 254 of file XFuXMPlayer_internal.h. Referenced by XFuXMPlayer::dumpSongParameters(), and XFuXMPlayer::loadXM().

UINT8 XFuXMInstrument::mVibratoSweep

| Vibrato sweep. Definition at line 252 of file XFuXMPlayer_internal.h. Referenced by XFuXMPlayer::dumpSongParameters(), and XFuXMPlayer::loadXM().

UINT8 XFuXMInstrument::mVibratoType

| Vibrato type. Definition at line 251 of file XFuXMPlayer_internal.h. Referenced by XFuXMPlayer::dumpSongParameters(), and XFuXMPlayer::loadXM().

UINT16 XFuXMInstrument::mVolEnvEnd

| Volume envelope end point. Definition at line 235 of file XFuXMPlayer_internal.h. Referenced by XFuXMPlayer::dumpSongParameters(), XFuXMPlayer::loadXM(), and XFuXMPlayer::stream().

UINT16 XFuXMInstrument::mVolEnvLoopEnd

| Volume envelope loop end. Definition at line 238 of file XFuXMPlayer_internal.h. Referenced by XFuXMPlayer::dumpSongParameters(), XFuXMPlayer::initSound(), and XFuXMPlayer::loadXM().

UINT16 XFuXMInstrument::mVolEnvLoopStart

| Volume envelope loop start. Definition at line 237 of file XFuXMPlayer_internal.h. Referenced by XFuXMPlayer::dumpSongParameters(), XFuXMPlayer::initSound(), and XFuXMPlayer::loadXM().

UINT16 XFuXMInstrument::mVolEnvSustain

| Volume envelope sustain point. Definition at line 239 of file XFuXMPlayer_internal.h. Referenced by XFuXMPlayer::dumpSongParameters(), XFuXMPlayer::initSound(), and XFuXMPlayer::loadXM().

UINT8 XFuXMInstrument::mVolEnvType

| Volume envelope flag. Definition at line 236 of file XFuXMPlayer_internal.h. Referenced by XFuXMPlayer::dumpSongParameters(), XFuXMPlayer::initSound(), and XFuXMPlayer::loadXM().

REAL XFuXMInstrument::mVolumeEnvelope[XMFORMAT_SIZEOF_ENVELOPE]

| Definition at line 234 of file XFuXMPlayer_internal.h. Referenced by XFuXMPlayer::dumpSongParameters(), XFuXMPlayer::loadXM(), and XFuXMPlayer::stream().

REAL XFuXMInstrument::mVolumeFadeout

| Volume fadeout speed. Definition at line 241 of file XFuXMPlayer_internal.h. Referenced by XFuXMPlayer::dumpSongParameters(), XFuXMPlayer::initSound(), and XFuXMPlayer::loadXM().

The documentation for this class was generated from the following file:

- XFuXMPlayer_internal.h

|  | X-Forge Documentation Confidential Copyright © 2002-2003 Fathammer |  | Documentation generated with doxygen by Dimitri van Heesch